<script lang="ts">
import Vue from 'vue';
import type { PropType } from 'vue';
import { CtfCard } from '~/models';

export default Vue.extend({
  name: 'WhyUpgradeStats',
  props: {
    header: {
      type: String,
      required: false,
      default: '',
    },
    description: {
      type: String,
      required: false,
      default: '',
    },
    cards: {
      type: Array as PropType<CtfCard[]>,
      required: false,
      default: () => [],
    },
  },
  data() {
    return {};
  },
});
</script>
<template>
  <section class="why-upgrade-stats slp-mb-48">
    <SlpTypography tag="h2" variant="heading2-bold" class="slp-mb-16">{{
      header
    }}</SlpTypography>

    <SlpTypography
      tag="div"
      variant="heading5"
      class="slp-mb-48 why-upgrade-stats__description"
    >
      <div v-html="$md.render(description)"></div>
    </SlpTypography>

    <div v-if="cards" class="why-upgrade-stats__cards slp-pt-24">
      <div
        v-for="card in cards"
        :key="card.title"
        class="why-upgrade-stats__card"
      >
        <div class="why-upgrade-stats__image slp-mb-16">
          <a
            :href="card.cardLink"
            :data-ga-name="card.cardLinkDataGaName"
            :data-ga-location="card.cardLinkDataGaLocation"
          >
            <img :src="card.image.file.url" alt="" />
          </a>
        </div>
        <div class="why-upgrade-stats__stat">
          <div>
            {{ card.description }}
          </div>
        </div>
        <div>
          <SlpTypography tag="p" variant="body1-bold" class="slp-pb-24">{{
            card.title
          }}</SlpTypography>
        </div>
      </div>
    </div>
  </section>
</template>

<style scoped lang="scss">
.why-upgrade-stats {
  &:deep {
    h2 {
      max-width: 668px;
    }
  }
  &__cards {
    display: grid;
    grid-template-columns: 1fr;
    text-align: center;
    gap: 16px;
    @media (min-width: $breakpoint-sm) {
      grid-template-columns: repeat(2, 1fr);
    }
    @media (min-width: $breakpoint-md) {
      grid-template-columns: repeat(3, 1fr);
      text-align: left;
    }
  }
  &__image {
    height: 24px;
    img {
      width: 100%;
      height: 100%;
      filter: grayscale(100%);
      opacity: 0.5;
      object-fit: contain;
      object-position: center;
      @media (min-width: $breakpoint-md) {
        object-position: left;
      }
    }
  }
  &__stat {
    font-size: 74px;
    font-weight: 800;
    line-height: 89.56px;
    text-align: center;
    background: linear-gradient(
      91.09deg,
      rgba(227, 153, 93, 0.7) -13.29%,
      rgba(203, 146, 150, 0.7) -4.09%,
      rgba(127, 72, 214, 0.7) 66.61%
    );
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    @media (min-width: $breakpoint-md) {
      text-align: left;
    }
  }
  &__description {
    &:deep {
      strong {
        font-weight: 600;
      }
    }
  }
}
</style>
